## visualvm 0.20080728

=== visualvm/launcher/windows-src/Makefile ===
# -*- Makefile -*-
#
# Copyright 2007-2008 Sun Microsystems, Inc.  All Rights Reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Sun designates this
# particular file as subject to the "Classpath" exception as provided
# by Sun in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
# CA 95054 USA or visit www.sun.com if you need additional information or
# have any questions.
#

LIBS =
#LIBS = advapi32.lib user32.lib

CFLAGS = -s -mno-cygwin
#!ifdef DEBUG
#	CFLAGS = $(CFLAGS) -Zi
#!endif

all : visualvm.exe visualvm_w.exe

visualvm.exe : visualvm.cpp visualvm.res
	gcc $(CFLAGS) $(LIBS) -mwindows -DWINMAIN visualvm.cpp -o visualvm.exe visualvm.res
	mv visualvm.exe ../

visualvm_w.exe : visualvm.cpp
	gcc $(CFLAGS) $(LIBS) visualvm.cpp -o visualvm_w.exe
	mv visualvm_w.exe ../

visualvm.res : visualvm.rc
	windres -o$@ -Ocoff visualvm.rc

clean :
	-rm *.res *.obj *.pdb *.ilk *~ 2>NUL

distclean : clean
	-rm *.exe 2>NUL

test :
	../visualvm.exe

test_w :
	../visualvm_w.exe

## visualvm 1.2.2

=== launcher/windows-src/Makefile ===
# -*- Makefile -*-
#
# Copyright 2007-2008 Sun Microsystems, Inc.  All Rights Reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Sun designates this
# particular file as subject to the "Classpath" exception as provided
# by Sun in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
# CA 95054 USA or visit www.sun.com if you need additional information or
# have any questions.
#

LIBS =
#LIBS = advapi32.lib user32.lib

CFLAGS = -s -mno-cygwin
#!ifdef DEBUG
#	CFLAGS = $(CFLAGS) -Zi
#!endif

all : visualvm.exe visualvm_w.exe

visualvm.exe : visualvm.cpp visualvm.res
	gcc $(CFLAGS) $(LIBS) -mwindows -DWINMAIN visualvm.cpp -o visualvm.exe visualvm.res
	mv visualvm.exe ../

visualvm_w.exe : visualvm.cpp
	gcc $(CFLAGS) $(LIBS) visualvm.cpp -o visualvm_w.exe
	mv visualvm_w.exe ../

visualvm.res : visualvm.rc version.rc version.h visualvm.exe.manifest
	windres -o$@ -Ocoff visualvm.rc

clean :
	-rm *.res *.obj *.pdb *.ilk *~ 2>NUL

distclean : clean
	-rm *.exe 2>NUL

test :
	../visualvm.exe

test_w :
	../visualvm_w.exe

## visualvm 1.3.3

=== launcher/windows-src/Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # -*- Makefile -*-
 #
-# Copyright 2007-2008 Sun Microsystems, Inc.  All Rights Reserved.
+# Copyright (c) 2007, 2011, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License version 2 only, as
-# published by the Free Software Foundation.  Sun designates this
+# published by the Free Software Foundation.  Oracle designates this
 # particular file as subject to the "Classpath" exception as provided
-# by Sun in the LICENSE file that accompanied this code.
+# by Oracle in the LICENSE file that accompanied this code.
 #
 # This code is distributed in the hope that it will be useful, but WITHOUT
 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
@@ -19,9 +19,9 @@
 # 2 along with this work; if not, write to the Free Software Foundation,
 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 #
-# Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
-# CA 95054 USA or visit www.sun.com if you need additional information or
-# have any questions.
+# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
+# or visit www.oracle.com if you need additional information or have any
+# questions.
 #
 
 LIBS =

## visualvm 1.3.8

=== debian/changelog ===
visualvm (1.3.8-2) unstable; urgency=medium

  * Team upload.
  * Add build-dep on libstringtemplate-java (Closes: #797318)
  * Bump Standards-Version to 3.9.6 (no changes).
  * Correct Vcs-Browser URL.

 -- tony mancill <tmancill@debian.org>  Sun, 06 Sep 2015 09:30:56 -0700

visualvm (1.3.8-1) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * New upstream release
    - Removed 02-java8-compatibility.patch (fixed upstream)
  * Improved the mangling of the upstream version in debian/watch

  [ tony mancil ]
  * Drop hardening-wrapper in favor of dpkg-buildflags.
    Update 01-gcc-settings.patch to respect LDFLAGS.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 02 Jul 2014 17:53:15 +0200

visualvm (1.3.7-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: use override_dh_install-indep to do additional stuff
    only when the arch-independent package is built. Otherwise
    architecture-dependent-only builds fail.
    Thanks to Aaron M. Ucko for the bug report. (Closes: #749509)

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 May 2014 19:54:56 +0200

visualvm (1.3.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #702052, #718786)
    - Removed the Ant compatibility patch
    - Depend on libnb-platform18-java instead of libnb-platform13-java
    - The license validation window is no longer displayed (Closes: #721178)
    - Added a patch fixing the compilation errors with Java 8
  * The IcedTea build harness is no longer used
  * Added an architecture specific package containing the native libraries
  * Install the application files in /usr/share/visualvm
    instead of /usr/lib/visualvm
  * Never use Java 6 at runtime and accept OpenJDK 8 as an alternative JRE
  * Added a manpage
  * Added high quality icons for the launcher
  * Use the upstream launcher script instead of debian/jvisualvm.sh
  * Enabled hardening on the native libraries
  * Added debian/README.source to document the workflow used with this package
  * Added debian.orig-tar.sh and use uscan to build the upstream tarball
  * debian/rules:
    - Revamped to use the dh command sequencer
    - Added a get-orig-source target
  * debian/copyright:
    - Switched to the Copyright Format 1.0
    - Refreshed the source URLs
    - Replaced Sun Microsystems with Oracle
  * Added keywords to the desktop file

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 17 May 2014 08:50:27 +0200

visualvm (1.3.3-3) unstable; urgency=low

  * Team upload.

  [ tony mancill ]
  * Add Vcs-Git and Vcs-Browser to refer to pkg-java repo on Alioth.
  * Bump Standards-Version to 3.9.5 (no changes).
  * Replace dependencies on openjdk-6-jdk with default-jdk.
    (Closes: #720572)
  * Apply patch for autoreconf and build-dep on dh-autoreconf to support
    ppc64el.  Thanks to Breno Leitao. (Closes: #746297)

  [ Emmanuel Bourg ]
  * Fixed the compilation errors with Ant 1.9 (Closes: #713198)
  * Switched to source format 3.0 (quilt)
  * Build depend on debhelper >= 9
  * Added a watch file
  * debian/rules: Replaced dh_clean -k with dh_prep
  * debian/copyright: Fixed the path to the GPL-2 license
  * debian/control: Updated the Homepage field

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 30 Apr 2014 12:57:45 +0200

visualvm (1.3.3-2) unstable; urgency=low

  * Fix path to the nbexec binary. LP: #1070444, LP: #1070778.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Nov 2012 16:53:42 +0100

visualvm (1.3.3-1) unstable; urgency=low

  * Upload to unstable.
  * Set maintainer to Debian Java Maintainers.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Oct 2012 17:54:55 +0200

visualvm (1.3.3-0ubuntu1) quantal; urgency=low

  * New upstream version, supporting libnb-platform13-java.
  * debian/jvisualvm.sh: Prefer OpenJDK 7 over OpenJDK 6.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Oct 2012 16:55:54 +0200

visualvm (1.3.2-0ubuntu3) quantal; urgency=low

  * debian/jvisualvm.sh:
    - look for OpenJDK 7 files also (LP: #937710)
    - use multiarch-friendly paths for OpenJDK (LP: #1004370)

 -- Aditya Vaidya <kroq.gar78@gmail.com>  Sun, 27 May 2012 00:02:57 -0500

visualvm (1.3.2-0ubuntu2) precise; urgency=low

  * Build-depend on libnb-platform12-java, since the default is now
    platform13 but visualvm doesn't support that yet (LP: #935481).
  * Handle new multiarch-friendly OpenJDK installation paths.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 22 Apr 2012 14:50:10 +0100

visualvm (1.3.2-0ubuntu1) oneiric; urgency=low

  * New upstream version.
  * Drop build dependency on libnb-apisupport2-java. LP: #832764.
  * Fix jdk detection. LP: #657048.
  * Update package description. LP: #813165.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Sep 2011 13:38:19 +0200

visualvm (1.3-0ubuntu2) maverick; urgency=low

  * Add wget as a build dependency, required by the configury.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Aug 2010 22:24:21 +0200

visualvm (1.3-0ubuntu1) maverick; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Aug 2010 14:19:21 +0200

visualvm (1.2.2-0ubuntu2) lucid-proposed; urgency=low

  * Update the build number for 1.2.2, required by some visualvm plugins.
    LP: #572360 .

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Apr 2010 15:36:54 +0200

visualvm (1.2.2-0ubuntu1) lucid; urgency=low

  * New upstream version, to build with netbeans-6.8. LP: #560138.
  * Depend on libnb-platform11-java.
  * Build-depend on libnb-apisupport1-java.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Apr 2010 14:09:51 +0200

visualvm (1.2.1-0ubuntu3) lucid; urgency=low

  * debian/control: Really use Depends instead of Build-Depends.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 28 Dec 2009 12:57:26 -0500

visualvm (1.2.1-0ubuntu2) lucid; urgency=low

  * debian/control: Depend on java6-sdk alternate (works with
    sun-java6-jdk, too). Thanks, Martin Jordan!

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 28 Dec 2009 12:51:15 -0500



=== debian/control ===
Source: visualvm
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klose <doko@ubuntu.com>, Emmanuel Bourg <ebourg@apache.org>
Build-Depends: debhelper (>= 9),
 default-jdk,
 ant,
 ant-optional,
 libnb-platform-devel-java (>= 7.0),
 libnb-platform18-java,
 libstringtemplate-java,
 quilt,
 wget
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/visualvm.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/visualvm.git
Homepage: https://visualvm.java.net

Package: visualvm
Architecture: all
Depends: default-jdk | java7-sdk, libnb-platform18-java, libvisualvm-jni, ${misc:Depends}
Description: All-in-One Java Troubleshooting Tool
 VisualVM is a visual tool integrating several commandline JDK tools
 and lightweight profiling capabilities. Designed for both production
 and development time use, it further enhances the capability of
 monitoring and performance analysis for the Java SE platform.
 .
 VisualVM is designed for
  - Application Developers: Monitor, profile, take thread dumps,
    browse heap dumps.
  - System Administrators: Monitor and control Java applications
    across the entire network.
  - Java Application Users: Create bug reports containing all the
    necessary information.

Package: libvisualvm-jni
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: All-in-One Java Troubleshooting Tool (JNI libraries)
 VisualVM is a visual tool integrating several commandline JDK tools
 and lightweight profiling capabilities. Designed for both production
 and development time use, it further enhances the capability of
 monitoring and performance analysis for the Java SE platform.
 .
 VisualVM is designed for
  - Application Developers: Monitor, profile, take thread dumps,
    browse heap dumps.
  - System Administrators: Monitor and control Java applications
    across the entire network.
  - Java Application Users: Create bug reports containing all the
    necessary information.
 .
 This package contains the architecture specific Java native interface part.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export JAVA_HOME = /usr/lib/jvm/default-java
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(filter $(DEB_HOST_ARCH), s390))
  ARCHFLAG="-m31"
else ifneq (,$(filter $(DEB_HOST_ARCH), sparc powerpc i386))
  ARCHFLAG="-m32"
else
  ARCHFLAG="-m64"
endif

NB_PLATFORM_VERSION=18
NB_BUILD_PROPERTIES=-Dpermit.jdk8.builds=true
ABS_TOP_DIR=`pwd -P`
NB_DEST_DIR=$(ABS_TOP_DIR)/netbeans/nbbuild/netbeans_visualvm

%:
	dh $@

override_dh_auto_build:
	# Prepare the source tree
	mkdir -p netbeans/nbbuild/netbeans_visualvm/
	ln -s /usr/share/netbeans/platform$(NB_PLATFORM_VERSION) netbeans/nbbuild/netbeans_visualvm/platform
	ln -s /usr/share/netbeans/harness/ netbeans/nbbuild/netbeans_visualvm

	# Build the native libraries
	cd netbeans/lib.profiler/native/build && \
	JAVA_HOME_15=$(JAVA_HOME) JAVA_HOME_16=$(JAVA_HOME) ./buildnative-linux64.sh

	# Build the Netbeans profiler
	ant -f netbeans/nbbuild/build.xml bootstrap $(NB_BUILD_PROPERTIES)
	for module in lib.profiler \
	              lib.profiler.charts \
	              lib.profiler.ui \
	              lib.profiler.common \
	              profiler \
	              profiler.oql \
	              profiler.snaptracer \
	              profiler.heapwalker; do \
	  ant -f netbeans/$$module/build.xml $(NB_BUILD_PROPERTIES) -Dnetbeans.dest.dir=$(NB_DEST_DIR) ; \
	done

	# Build VisualVM
	ln -s $(NB_DEST_DIR) visualvm/netbeans
	cd visualvm && ant build

override_dh_install-indep:
	dh_install -i

	# Create and install /etc/visualvm/visualvm.clusters
	echo visualvm >> debian/visualvm/etc/visualvm/visualvm.clusters
	echo profiler >> debian/visualvm/etc/visualvm/visualvm.clusters

	# Install the icons
	install -m 644 -D debian/icons/visualvm-22x22.png debian/visualvm/usr/share/icons/hicolor/22x22/apps/visualvm.png
	install -m 644 -D debian/icons/visualvm-32x32.png debian/visualvm/usr/share/icons/hicolor/32x32/apps/visualvm.png
	install -m 644 -D debian/icons/visualvm-48x48.png debian/visualvm/usr/share/icons/hicolor/48x48/apps/visualvm.png
	install -m 644 -D debian/icons/visualvm-64x64.png debian/visualvm/usr/share/icons/hicolor/64x64/apps/visualvm.png
	install -m 644 -D debian/icons/visualvm-128x128.png debian/visualvm/usr/share/icons/hicolor/128x128/apps/visualvm.png
	install -m 644 -D debian/icons/visualvm-256x256.png debian/visualvm/usr/share/icons/hicolor/256x256/apps/visualvm.png
	install -m 644 -D debian/icons/visualvm-512x512.png debian/visualvm/usr/share/icons/hicolor/512x512/apps/visualvm.png

	# Remove the native libraries from the visualvm package
	rm -Rf debian/visualvm/usr/share/visualvm/profiler/lib/deployed

override_dh_auto_clean:
	rm -Rf netbeans/lib.profiler/release/lib/deployed/*
	rm -Rf netbeans/nbbuild/netbeans_visualvm
	rm -Rf netbeans/nbbuild/netbeans/moduleCluster.properties
	rm -Rf visualvm/netbeans

	find netbeans visualvm -name 'build' -not -path netbeans/lib.profiler/native/build | xargs rm -Rf

get-orig-source:
	uscan --download-current-version --rename

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)(\d)(\d)/$1.$2.$3/;s/(\d)(\d)/$1.$2/ \
https://java.net/downloads/visualvm/ release(\d+)/ debian debian/orig-tar.sh

## visualvm 1.3.9

=== debian/changelog ===
visualvm (1.3.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/control:
    - Standards-Version updated to 3.9.8
    - Use secure Vcs-* URLs
    - Updated the Homepage field
  * Track and download the new releases on GitHub

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 19 Oct 2016 08:50:53 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  libstringtemplate-java,
  quilt,
  wget
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/visualvm.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/visualvm.git
-Homepage: https://visualvm.java.net
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/visualvm.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/visualvm.git
+Homepage: https://visualvm.github.io
 
 Package: visualvm
 Architecture: all

=== debian/watch ===
version=3
https://github.com/visualvm/visualvm.src/tags .*/archive/([\d\.]+).tar.gz debian debian/orig-tar.sh

## visualvm 1.4.2

=== debian/changelog ===
visualvm (1.4.2-2~18.04.1) bionic; urgency=medium

  * Backport to bionic for OpenJDK 11. LP: #1814133.
  * Use debhelper compat v11.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Feb 2019 10:43:58 +0100

visualvm (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * Tighten the dependency on default-jdk. We only support Java 11 in Buster.

 -- Markus Koschany <apo@debian.org>  Wed, 30 Jan 2019 13:31:56 +0100

visualvm (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.2.
    - Fix FTBFS. (Closes: #897945, #893553)
    - Fix startup issue with Java 9. (Closes: #877792, #863337)
  * Switch to compat level 12.
  * Set -Dpermit.jdk9.builds=true
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.
  * Refresh the patches.
  * Add empty-binaries-list.patch. Do not download any binaries from the
    internet at build time.
  * Add jhall.patch. Add jhall.jar to the CLASSPATH.
  * Add sortChildren.patch and work around a FBTFS with Java 11.
  * d/control: Use priority optional.

 -- Markus Koschany <apo@debian.org>  Wed, 23 Jan 2019 20:06:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,30 @@
 Source: visualvm
 Section: java
-Priority: extra
+Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Klose <doko@ubuntu.com>, Emmanuel Bourg <ebourg@apache.org>
-Build-Depends: debhelper (>= 9),
- default-jdk,
+Uploaders:
+ Matthias Klose <doko@ubuntu.com>,
+ Emmanuel Bourg <ebourg@apache.org>
+Build-Depends:
  ant,
  ant-optional,
- libnb-platform-devel-java (>= 7.0),
- libnb-platform18-java,
- libstringtemplate-java,
- quilt,
- wget
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/visualvm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/visualvm.git
+ debhelper (>= 11),
+ default-jdk,
+ libnb-platform-devel-java (>= 10.0),
+ libnb-platform18-java (>= 10.0),
+ libstringtemplate-java
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/java-team/visualvm.git
+Vcs-Browser: https://salsa.debian.org/java-team/visualvm
 Homepage: https://visualvm.github.io
 
 Package: visualvm
 Architecture: all
-Depends: default-jdk | java7-sdk, libnb-platform18-java, libvisualvm-jni, ${misc:Depends}
+Depends:
+ default-jdk (>= 2:1.11) | java11-sdk,
+ libnb-platform18-java (>= 10.0),
+ libvisualvm-jni,
+ ${misc:Depends}
 Description: All-in-One Java Troubleshooting Tool
  VisualVM is a visual tool integrating several commandline JDK tools
  and lightweight profiling capabilities. Designed for both production
@@ -36,7 +41,9 @@
 
 Package: libvisualvm-jni
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: All-in-One Java Troubleshooting Tool (JNI libraries)
  VisualVM is a visual tool integrating several commandline JDK tools
  and lightweight profiling capabilities. Designed for both production

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 NB_PLATFORM_VERSION=18
-NB_BUILD_PROPERTIES=-Dpermit.jdk8.builds=true
+NB_BUILD_PROPERTIES=-Dpermit.jdk9.builds=true
 ABS_TOP_DIR=`pwd -P`
 NB_DEST_DIR=$(ABS_TOP_DIR)/netbeans/nbbuild/netbeans_visualvm
 
@@ -25,6 +25,9 @@
 	mkdir -p netbeans/nbbuild/netbeans_visualvm/
 	ln -s /usr/share/netbeans/platform$(NB_PLATFORM_VERSION) netbeans/nbbuild/netbeans_visualvm/platform
 	ln -s /usr/share/netbeans/harness/ netbeans/nbbuild/netbeans_visualvm
+	# Fix a FTBFS
+	cp LICENSE netbeans/
+	touch netbeans/DISCLAIMER
 
 	# Build the native libraries
 	cd netbeans/lib.profiler/native/build && \
@@ -71,8 +74,8 @@
 	rm -Rf netbeans/nbbuild/netbeans_visualvm
 	rm -Rf netbeans/nbbuild/netbeans/moduleCluster.properties
 	rm -Rf visualvm/netbeans
+	rm -f netbeans/LICENSE
+	rm -f netbeans/DISCLAIMER
 
 	find netbeans visualvm -name 'build' -not -path netbeans/lib.profiler/native/build | xargs rm -Rf
 
-get-orig-source:
-	uscan --download-current-version --rename

## visualvm 1.4.3

=== debian/changelog ===
visualvm (1.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.3.
  * Switch to debhelper-compat = 12.
  * Declare compliance with Debian Policy 4.4.0.
  * Remove empty-binaries-list.patch.
  * Fix FTBFS, add ModuleStateSelector.patch.

 -- Markus Koschany <apo@debian.org>  Sun, 04 Aug 2019 14:51:42 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Build-Depends:
  ant,
  ant-optional,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  default-jdk,
  libnb-platform-devel-java (>= 10.0),
  libnb-platform18-java (>= 10.0),
  libstringtemplate-java
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/java-team/visualvm.git
 Vcs-Browser: https://salsa.debian.org/java-team/visualvm
 Homepage: https://visualvm.github.io

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 NB_PLATFORM_VERSION=18
-NB_BUILD_PROPERTIES=-Dpermit.jdk9.builds=true
+NB_BUILD_PROPERTIES=-Dpermit.jdk8.builds=true
 ABS_TOP_DIR=`pwd -P`
 NB_DEST_DIR=$(ABS_TOP_DIR)/netbeans/nbbuild/netbeans_visualvm

## visualvm 2.0.6+dfsg

=== debian/changelog ===
visualvm (2.0.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Repack the sources and remove prebuilt files.

 -- Markus Koschany <apo@debian.org>  Fri, 19 Feb 2021 00:31:59 +0100

visualvm (2.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Feb 2021 10:26:54 +0100

visualvm (2.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.4.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * d/rules: Set permit.jdk9.builds=true
  * Drop jhall.patch and ModuleStateSelector.patch.
  * Refresh the remaining patches and add jfr.generic.patch because Java
    Mission Control has not been packaged yet.
  * Tighten dependency on libnb-platform18-java otherwise some features will
    not work correctly. (plugins, etc.)
  * Ensure visualvm can be built twice in a row.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@debian.org>  Mon, 05 Oct 2020 18:47:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Build-Depends:
  ant,
  ant-optional,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  default-jdk,
- libnb-platform-devel-java (>= 10.0),
- libnb-platform18-java (>= 10.0),
+ libnb-platform-devel-java (>= 12.1),
+ libnb-platform18-java (>= 12.1),
  libstringtemplate-java
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/java-team/visualvm.git
 Vcs-Browser: https://salsa.debian.org/java-team/visualvm
 Homepage: https://visualvm.github.io
@@ -22,7 +22,7 @@
 Architecture: all
 Depends:
  default-jdk (>= 2:1.11) | java11-sdk,
- libnb-platform18-java (>= 10.0),
+ libnb-platform18-java (>= 12.1),
  libvisualvm-jni,
  ${misc:Depends}
 Description: All-in-One Java Troubleshooting Tool

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/visualvm-$1\.tar\.gz/,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|vc)\d*)$/$1~$2/ \
 https://github.com/oracle/visualvm/tags .*/v?(\d\S+)\.tar\.gz

## visualvm 2.0.7

=== debian/changelog ===
visualvm (2.0.7-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Fixes the build failure with OpenJDK 17 (Closes: #1011175)
  * Filter out the jar files from the upstream tarball
  * Standards-Version updated to 4.6.1

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 May 2022 09:02:53 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libnb-platform-devel-java (>= 12.1),
  libnb-platform18-java (>= 12.1),
  libstringtemplate-java
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/visualvm.git
 Vcs-Browser: https://salsa.debian.org/java-team/visualvm
 Homepage: https://visualvm.github.io

## visualvm 2.1.5

=== debian/changelog ===
visualvm (2.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.5.
  * Refresh the old patches.
  * Fix FTBFS with OpenJDK 17.
  * Add no-flatlaf-support.patch and org.openide.util.lookup.patch to address
    build failures caused by netbeans platform in Debian.
  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Sun, 22 Jan 2023 22:26:44 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libnb-platform-devel-java (>= 12.1),
  libnb-platform18-java (>= 12.1),
  libstringtemplate-java
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/visualvm.git
 Vcs-Browser: https://salsa.debian.org/java-team/visualvm
 Homepage: https://visualvm.github.io

## visualvm 2.1.6

=== debian/changelog ===
visualvm (2.1.6-1) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * VisualVM release 2.1.6 (LP: #2026700).
    - Release notes: https://visualvm.github.io/relnotes.html.
  * d/p/JDK17-FTBFS.patch: dropped as it is no longer needed.
  * d/p/org.openide.util.lookup.patch: refresh patch.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jul 2023 08:15:39 +1200

## visualvm 2.1.8

=== debian/changelog ===
visualvm (2.1.8-1) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * New upstream release 2.1.8 (LP: #2060246).
    - Release notes: https://visualvm.github.io/relnotes.html.
  * d/p/jfr.generic.patch: refresh patch.
  * d/copyright: exclude .gitignore and .github.
  * d/p/drop-nashorn.jdk15.patch: drop Java 15 Nashorn plugin.
  * d/p/use-older-keyring.patch: downgrade org.netbeans.modules.keyring
    dependency version.
  * d/watch: add repack suffix.
  * d/control: add Rules-Requires-Root: no.
  * d/visualvm.lintian-overrides: override repeated-path-segment.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Apr 2024 11:20:03 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  libnb-platform18-java (>= 12.1),
  libstringtemplate-java
 Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/java-team/visualvm.git
 Vcs-Browser: https://salsa.debian.org/java-team/visualvm
 Homepage: https://visualvm.github.io

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export JAVA_HOME = /usr/lib/jvm/default-java
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(filter $(DEB_HOST_ARCH), s390))
  ARCHFLAG="-m31"
else ifneq (,$(filter $(DEB_HOST_ARCH), sparc powerpc i386))
  ARCHFLAG="-m32"
else
  ARCHFLAG="-m64"
endif

NB_PLATFORM_VERSION=18
NB_BUILD_PROPERTIES=-Dpermit.jdk9.builds=true

%:
	dh $@

override_dh_auto_build:
	# Prepare the source tree
	mkdir -p visualvm/netbeans
	ln -s /usr/share/netbeans/platform$(NB_PLATFORM_VERSION) visualvm/netbeans/platform
	ln -s /usr/share/netbeans/harness visualvm/netbeans/harness

	# Build the native libraries
	cd visualvm/libs.profiler/lib.profiler/native/build && \
	JAVA_HOME_15=$(JAVA_HOME) JAVA_HOME_16=$(JAVA_HOME) ./buildnative-linux64.sh

	#Build visualvm
	cd visualvm && ant build

override_dh_install-indep:
	dh_install -i

	# Create and install /etc/visualvm/visualvm.clusters
	echo visualvm >> debian/visualvm/etc/visualvm/visualvm.clusters

	# Install the icons
	install -m 644 -D debian/icons/visualvm-22x22.png debian/visualvm/usr/share/icons/hicolor/22x22/apps/visualvm.png
	install -m 644 -D debian/icons/visualvm-32x32.png debian/visualvm/usr/share/icons/hicolor/32x32/apps/visualvm.png
	install -m 644 -D debian/icons/visualvm-48x48.png debian/visualvm/usr/share/icons/hicolor/48x48/apps/visualvm.png
	install -m 644 -D debian/icons/visualvm-64x64.png debian/visualvm/usr/share/icons/hicolor/64x64/apps/visualvm.png
	install -m 644 -D debian/icons/visualvm-128x128.png debian/visualvm/usr/share/icons/hicolor/128x128/apps/visualvm.png
	install -m 644 -D debian/icons/visualvm-256x256.png debian/visualvm/usr/share/icons/hicolor/256x256/apps/visualvm.png
	install -m 644 -D debian/icons/visualvm-512x512.png debian/visualvm/usr/share/icons/hicolor/512x512/apps/visualvm.png

	# Remove the native libraries from the visualvm package
	$(RM) -r debian/visualvm/usr/share/visualvm/visualvm/lib/deployed

override_dh_clean:
	dh_clean
	find . -name "*.so" -delete
	find . -name "*.class" -delete
	find . -name "*.jar" -type f -delete
	find visualvm -name 'build' -not -path visualvm/libs.profiler/lib.profiler/native/build | xargs rm -Rf
	find -type l -delete

## visualvm 2.1.10

=== debian/changelog ===
visualvm (2.1.10-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Team upload.
  * New upstream version. Closes: #1089580.
  * Remove myself as uploader.

  [ Vladimir Petko ]
  * d/rules: disable --release option when building visualvm.
    Netbeans platform nb-javac task uses --release option that hides sun.*
    classes. VisualVM should be compiled with -source/-target options instead.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Jan 2025 07:03:41 +0100

visualvm (2.1.8-2) unstable; urgency=medium

  * Team upload.
  * Re-upload with fixed maintainer address.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Apr 2024 12:55:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
- Matthias Klose <doko@ubuntu.com>,
  Emmanuel Bourg <ebourg@apache.org>
 Build-Depends:
  ant,

## visualvm 2.2

=== visualvm/launcher/windows-src/Makefile ===
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
# NOCDDL



# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib



# build
build: .build-post-$(CONF)

.build-pre: .build-pre-$(CONF)
# Add your pre 'build' code here...

.build-pre-visualvm.exe: visualvm.rc
	windres -ovisualvm.res -Ocoff visualvm.rc

.build-pre-visualvm64.exe: visualvm.rc
	x86_64-w64-mingw32-windres.exe -ovisualvm64.res -Ocoff visualvm.rc

.build-post-visualvm.exe: .build-impl
	cp visualvm.exe ../visualvm.exe
	strip ../visualvm.exe
	
.build-post-visualvm64.exe: .build-impl
	cp visualvm64.exe ../visualvm64.exe
	strip ../visualvm.exe

											

# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...



# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...



# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...



# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== debian/changelog ===
visualvm (2.2-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Sep 2025 13:48:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	JAVA_HOME_15=$(JAVA_HOME) JAVA_HOME_16=$(JAVA_HOME) ./buildnative-linux64.sh
 
 	#Build visualvm
-	cd visualvm && ant build
+	cd visualvm && ant -Djavac.useRelease=false build
 
 override_dh_install-indep:
 	dh_install -i

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/visualvm-$1\.tar\.gz/,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|vc)\d*)$/$1~$2/,\
 dversionmangle=s/\~us1\d*$//,\
 repacksuffix=~us1 \
 https://github.com/oracle/visualvm/tags .*/v?(\d\S+)\.tar\.gz
